import request from '@/utils/request'

// 查询专业管理列表
export function listMajorInfo(query) {
  return request({
    url: '/major/majorInfo/list',
    method: 'get',
    params: query
  })
}

// 查询专业管理详细
export function getMajorInfo(majorId) {
  return request({
    url: '/major/majorInfo/' + majorId,
    method: 'get'
  })
}

// 新增专业管理
export function addMajorInfo(data) {
  return request({
    url: '/major/majorInfo',
    method: 'post',
    data: data
  })
}

// 修改专业管理
export function updateMajorInfo(data) {
  return request({
    url: '/major/majorInfo',
    method: 'put',
    data: data
  })
}

// 删除专业管理
export function delMajorInfo(majorId) {
  return request({
    url: '/major/majorInfo/' + majorId,
    method: 'delete'
  })
}
